Bug 8678 - Installer does not recognize disk partitions
Installer does not recognize disk partitions
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-20 16:47 EST by rab
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 10:56:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rab 2000-01-20 16:47:29 EST
Machine: IBM THinkPad 600E
The installation process fails as soon as it tries to create or use any
disk partitions, with the message:
"An error occurred reading the partition table for the block device hda.
The error was: No such file or directory"

I've tried on a non-partitioned disk space as well as on a partitioned disk
(using Partition Magic 5.0 to create a Linux partition).

A Linux forum has reported that a disk problem might occur with certain
version of the 600E BIOS. I tried several BIOS versions and it still didn't
work.
Comment 1 Jay Turner 2000-02-10 10:46:59 EST
We actually had a machine demonstrating the same thing here in the office after
the IS guy upgraded the BIOS, so I can confirm that it is happening, as well as
confirm that it is related to the BIOS (the machine was running linux prior to
the BIOS upgrade)  I have sent email to him asking what BIOS version he ended up
reverting to, so I will let you know as soon as I know.  In the mean time, we
were actually able to get the machine going using the latest boot images (beta
boot images) available now from Red Hat. If you are interested, take a look at
the beta and see if that works.
Comment 2 Jay Turner 2000-02-10 10:56:59 EST
OK, I checked with our IS guy and he said that he flashed the BIOS to the latest
revision and things worked from there.  Please reopen the bug if you are still
having problems.

Note You need to log in before you can comment on or make changes to this bug.